import { Router } from "express";
import { ReportController } from "./report.controller";
import { authMiddleware } from "../auth/auth.middleware";

const reportRouter = Router();
const controller = new ReportController();


reportRouter.get("/summary", authMiddleware, controller.getSummary);

reportRouter.get("/fuel-request", authMiddleware, controller.getFuelRequestsReport);

reportRouter.get("/external-invoice", authMiddleware, controller.getExternalInvoicesReport);

reportRouter.get("/LPG", authMiddleware, controller.getLpgReport);

reportRouter.get("/anomalies", authMiddleware, controller.getAnomaliesReport);

reportRouter.get("/pump-readings", authMiddleware, controller.getPumpReadingsReport);

reportRouter.get("/vehicle/:vehicleId", authMiddleware, controller.getVehicleReport);

reportRouter.get("/employee/:employeeId", authMiddleware, controller.getEmployeeReport);

reportRouter.get("/department/:departmentId", authMiddleware, controller.getDepartmentReport);

reportRouter.get("/route/:routeId", authMiddleware, controller.getRouteReport);

export default reportRouter;